package bus.service;

import bus.model.dto.BCoursePreDto;
import bus.model.dto.BCoursePrePageDto;
import bus.model.dto.BCoursePreTypeDto;
import bus.model.dto.BUserPreDto;
import bus.model.vo.BCoursePreVo;
import bus.model.po.BCoursePrePo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-17 21:07:12
 **/
public interface BCoursePreService extends IService<BCoursePrePo> {


    /**
     * 预约时刻详情
     * @return
     */
    BCoursePreTypeDto getDetailPre(String type);


    /**
     * 用户保存预约保存
     * @param dto
     * @return
     */
    void savePre(BUserPreDto dto);

    void cancelPre(String preId,String Type);


    /**
     * 详情
     * @param id
     * @return
     */
    BCoursePrePo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BCoursePreDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BCoursePreVo> list(BCoursePrePageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BCoursePreDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);

    void deleteByCourseId(String courseId);
}
